######################################################################
#
# EPrints::MetaField::Base64;
#
######################################################################
#
#
# Copyright 2000-2008 University of Southampton. All Rights Reserved.
# 
#  This file is part of GNU EPrints 3.
#  
#  Copyright (c) 2000-2008 University of Southampton, UK. SO17 1BJ.
#  
#  EPrints 3 is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  EPrints 3 is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with EPrints 3; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
######################################################################

=pod

=head1 NAME

B<EPrints::MetaField::Base64> - Base 64 encoded data

=head1 DESCRIPTION

=over 4

=cut

package EPrints::MetaField::Base64;

use strict;
use warnings;

BEGIN
{
	our( @ISA );

	@ISA = qw( EPrints::MetaField::Longtext );
}

use EPrints::MetaField::Longtext;

sub to_xml
{
	my( $self, $session, $value, $dataset, %opts ) = @_;

	my $tag = $self->SUPER::to_xml( $session, $value, $dataset, %opts );

	if( $self->get_property( "multiple" ) )
	{
		foreach my $node ($tag->getElementsByTagName( "item" ) )
		{
			$node->setAttribute( encoding => "base64" );
		}
	}
	elsif( EPrints::XML::is_dom( $tag, "Element" ) )
	{
		$tag->setAttribute( encoding => "base64" );
	}

	return $tag;
}

######################################################################
1;
