######################################################################
#
# These are your system settings (as autogenerated by the installer).
# We suggest that you do not alter these, as future installers will
# probably override them.
# 
######################################################################
#
# This file is part of EPrints 3.
#
# EPrints 2 is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# EPrints 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with EPrints 2; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
######################################################################

# This file should only be use'd by EPrints::Config
package EPrints::SystemSettings;

$EPrints::SystemSettings::conf = {
                                   'archive_extensions' => {
                                                             'zip' => '.zip',
                                                             'targz' => '.tar.gz'
                                                           },
                                   'base_path' => '/opt/eprints3',
                                   'show_ids_in_log' => 0,
                                   'enable_libxml' => '1',
                                   'group' => 'eprints',
                                   'version_history' => [
                                                          'eprints-3.2.2'
                                                        ],
                                   'smtp_server' => 'localhost',
                                   'user' => 'eprints',
                                   'file_perms' => '0664',
                                   'platform' => 'unix',
                                   'executables' => {
                                                      'convert' => '/usr/bin/convert',
                                                      'tar' => '/bin/tar',
                                                      'rm' => '/bin/rm',
                                                      'dvips' => '/usr/bin/dvips',
                                                      'gunzip' => '/bin/gunzip',
                                                      'sendmail' => '/usr/sbin/sendmail',
                                                      'unzip' => '/usr/bin/unzip',
                                                      'elinks' => '/usr/bin/elinks',
                                                      'cp' => '/bin/cp',
                                                      'latex' => '/usr/bin/latex',
                                                      'perl' => '/usr/bin/perl',
                                                      'pdftotext' => '/usr/bin/pdftotext',
                                                      'wget' => '/usr/bin/wget',
                                                      'antiword' => '/usr/bin/antiword'
                                                    },
                                   'apache' => '2',
                                   'virtualhost' => '',
                                   'archive_formats' => [
                                                          'zip',
                                                          'targz'
                                                        ],
                                   'disable_df' => 0,
                                   'version' => 'EPrints 3.2.2 (Chocolate Cake) [Born on 2010-05-25]',
                                   'enable_gdome' => '0',
                                   'version_id' => 'eprints-3.2.2',
                                   'invocation' => {
                                                     'convert_crop_white' => '$(convert) -trim -bordercolor white -border 4x4 $(SOURCE) $(TARGET)',
                                                     'dvips' => '$(dvips) $(SOURCE) -o $(TARGET)',
                                                     'sendmail' => '$(sendmail) -oi -t -odb --',
                                                     'elinks' => '$(elinks) -dump 1 -dump-charset UTF-8 $(SOURCE) > $(TARGET)',
                                                     'latex' => '$(latex) $(SOURCE)',
                                                     'targz' => '$(gunzip) -c < $(ARC) 2>/dev/null | $(tar) xf - -C $(DIR) >/dev/null 2>&1',
                                                     'antiwordpdf' => '$(antiword) -a a4 -m 8859-1 $(SOURCE) > $(TARGET)',
                                                     'pdftotext' => '$(pdftotext) -enc UTF-8 -layout $(SOURCE) $(TARGET)',
                                                     'zip' => '$(unzip) 1>/dev/null 2>&1 -qq -o -d $(DIR) $(ARC)',
                                                     'cpall' => '$(cp) -pR $(SOURCE)/* $(TARGET)',
                                                     'wget' => '$(wget)  -r -L -q -m -nH -np --execute="robots=off" --cut-dirs=$(CUTDIRS) $(URL)',
                                                     'antiword' => '$(antiword) -t -f -m UTF-8 $(SOURCE) > $(TARGET)',
                                                     'rmall' => '$(rm) -rf $(TARGET)/*'
                                                   },
                                   'dir_perms' => '02775'
                                 };

1;